package com.pjb.springbootjjwt.utils;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;


public class LogUtil {

    public static void error(Class objClass,String msg) {
        Logger logger = LoggerFactory.getLogger(objClass);
        logger.error(msg);
    }

    public static void error(Class objClass, Throwable throwable) {
        Logger logger = LoggerFactory.getLogger(objClass);
        logger.error("发送错误",throwable);
    }

    public static void info(Class objClass, String msg) {
        Logger logger = LoggerFactory.getLogger(objClass);
        logger.info(msg);
    }

    public static void info(String msg) {
        Logger logger = LoggerFactory.getLogger(LogUtil.class);
        logger.info(msg);
    }

    public static void warn(Class objClass, String msg) {
        Logger logger = LoggerFactory.getLogger(objClass);
        logger.warn(msg);
    }
}
